Loading...
Searching...
No Matches
juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType > Struct Template Reference

## Detailed Description

template<typename MonoProcessorType, typename StateType>
struct juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >

Converts a mono processor class into a multi-channel version by duplicating it and applying multichannel buffers across an array of instances.

When the prepare method is called, it uses the specified number of channels to instantiate the appropriate number of instances, which it then uses in its process() method.

The documentation for this struct was generated from the following file:

- juce_dsp/processors/juce_ProcessorDuplicator.h

## Public Member Functions

| ProcessorDuplicator ()
| ProcessorDuplicator (StateType *stateToUse)
| ProcessorDuplicator (typename StateType::Ptr stateToUse)
| ProcessorDuplicator (const ProcessorDuplicator &)=default
| ProcessorDuplicator (ProcessorDuplicator &&)=default
void | prepare (const ProcessSpec &spec)
void | reset () noexcept
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept

## Public Attributes

StateType::Ptr | state

## Constructors and Destructors

## ProcessorDuplicator() [1/5]

template<typename MonoProcessorType, typename StateType>

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( |  | ) |

inline

References state.

Referenced by ProcessorDuplicator(), and ProcessorDuplicator().

## ProcessorDuplicator() [2/5]

template<typename MonoProcessorType, typename StateType>

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | StateType * | stateToUse | ) |

inline

References state.

## ProcessorDuplicator() [3/5]

template<typename MonoProcessorType, typename StateType>

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | typename StateType::Ptr | stateToUse | ) |

inline

References state.

## ProcessorDuplicator() [4/5]

template<typename MonoProcessorType, typename StateType>

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | const ProcessorDuplicator< MonoProcessorType, StateType > & |  | ) |

default

References ProcessorDuplicator().

## ProcessorDuplicator() [5/5]

template<typename MonoProcessorType, typename StateType>

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | ProcessorDuplicator< MonoProcessorType, StateType > && |  | ) |

default

References ProcessorDuplicator().

## Member Functions

## prepare()

template<typename MonoProcessorType, typename StateType>

void juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::prepare | ( | const ProcessSpec & | spec | ) |

inline

References juce::dsp::ProcessSpec::numChannels, and state.

## reset()

template<typename MonoProcessorType, typename StateType>

void juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::reset | ( |  | ) |

inline noexcept

## process()

template<typename MonoProcessorType, typename StateType>
template<typename ProcessContext>

void juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::process | ( | const ProcessContext & | context | ) |

inline noexcept

References jassert, and juce::jmin().

## Member Data Documentation

## state

template<typename MonoProcessorType, typename StateType>

StateType::Ptr juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::state

Referenced by prepare(), ProcessorDuplicator(), ProcessorDuplicator(), and ProcessorDuplicator().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited